Skip to main content
GET
/
service-providers
/
properties
/
crypto-currencies
Search crypto currencies
curl --request GET \
  --url https://api-sb.meld.io/service-providers/properties/crypto-currencies \
  --header 'Authorization: <api-key>'
[
  {
    "chainCode": "<string>",
    "chainId": "<string>",
    "chainName": "<string>",
    "contractAddress": "<string>",
    "currencyCode": "<string>",
    "name": "<string>",
    "serviceProviderDetails": {},
    "symbolImageUrl": "<string>"
  }
]

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

serviceProviders
string

A comma separated list of service providers.

statuses
string
default:LIVE,RECENTLY_ADDED

A comma separated list of service provider statuses. Valid values are: LIVE,RECENTLY_ADDED,BUILDING

categories
string

A comma separated list of service provider categories. Valid values are: BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS. Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven and cannot be requested directly.

accountFilter
boolean
default:false

Filter by account configuration. Will only include properties supported by the service providers configured for the account of the API authentication token used.

countries
string

A comma separated list of countries.

fiatCurrencies
string

A comma separated list of fiat currencies.

cryptoChains
string

A comma separated list of crypto chains.

cryptoCurrencies
string

A comma separated list of crypto currencies.

paymentMethodTypes
string

A comma separated list of payment method types. Valid Values are: Supported Payment Methods

includeServiceProviderDetails
boolean
default:false

When true, includes the service provider coverage and mappings for each property in the response.

Response

Search successful

chainCode
string

The code for the chain the Crypto Currency is on.

chainId
string

The id for the chain the Crypto Currency is on.

chainName
string

The display name for the chain the Crypto Currency is on.

contractAddress
string

The contract address of the Crypto Currency.

currencyCode
string

The code for the Crypto Currency.

name
string

The display name for the Crypto Currency.

serviceProviderDetails
object

The service provider coverage and mappings. All service providers in this map support the property (coverage). Service provider mappings are included in the values of the map, if required. Only present when includeServiceProviderDetails request parameter is set to true.

symbolImageUrl
string

The URL to the Crypto Currency's symbol image.